import tkinter
import tkinter.ttk

class Application(tkinter.ttk.Frame):
    def __init__(self, master=None):
        super().__init__(master)
        # Обязательно указываем ширину и высоту контейнера посредством
        # опций width и height соответственно
        self.configure(width=200, height=100)
        self.pack(padx=4, pady=4)

        self.create_widgets()
        self.master.title("Пример использования PanedWindow")

    def create_widgets(self):
        pwd = tkinter.PanedWindow(self, width=600, height=200, showhandle=True, sashwidth=10, sashrelief=tkinter.RIDGE, handlesize=30)
        pwd.pack()
        frame1 = tkinter.ttk.Frame(pwd)
        pwd.add(frame1, width=300, sticky="wnes")
        frame2 = tkinter.ttk.Frame(pwd)
        pwd.add(frame2)
        pwd.paneconfig(frame2, sticky="wnes")


root = tkinter.Tk()
app = Application(master=root)
root.mainloop()
